[API]
GetDlgItemTextA
GetDlgItemTextW

[INCLUDE]
TemporaryMemory
PeekS

[CODE]
Public Function GetDlgItemText(ByVal hDlg As Long, ByVal nIDDlgItem As Long) As String
  If IsUnicode Then
    hDlg = GetDlgItemTextW(hDlg, nIDDlgItem, ptrTemp, ptrTempSizeXW)
    Else
    hDlg = GetDlgItemTextA(hDlg, nIDDlgItem, ptrTemp, ptrTempSizeX)
    End If
  GetDlgItemText = PeekS(ptrTemp, hDlg)
  End Function